searchData={"items":[{"type":"module","title":"ExXml","doc":"ExXml allows you to use XML in your library to construct code.\nThis can be helpful if you need to deal more descriptive type of\nprogramming like the ones that are already using a SGML or XML languages\nlike HTML and ODF. It also allows you to compose components out of Pascal\ncase XML elements. You can also have a list of elements which are wrapped\nwith a fragment.\n\nOut of the box ExXml sigil `~x()` constructs the `Element` and `Fragment`\nstructs that you can convert to quoted version of Elixir to create code out\nof this XML like data. It's as close to JSX as can be done in Elixir.","ref":"ExXml.html"},{"type":"module","title":"Examples - ExXml","doc":"Simple syntax with some nesting and a self closing element\n\n    ~x(\n       \n         \n         \n          2\n         \n       \n    )\n\n\nNow with a fragment\n\n    ~x(\n      <>\n         \n           \n           \n            2\n           \n         \n      </>\n    )\n\nThis allows you to use a module if you want\n\n    ~x(\n       \n         \n         2 \n       \n    )","ref":"ExXml.html#module-examples"},{"type":"module","title":"How do you implement your library with ExXml - ExXml","doc":"You have to include `use ExXml` in your module then\nimplement either `parse_ex_xml` function in our library\nif you want to expose the sigil x syntax or `@parse_ex_xml`\nattribute if you want to use the syntax only within your library.\nYou have to return a quoted from of you data. You can look at Elixir\nMacro documentation for that. Because the sigil syntax is a macro and\nyou are probably using this library to construct something else than\njust the output of this library.","ref":"ExXml.html#module-how-do-you-implement-your-library-with-exxml"},{"type":"function","title":"ExXml.do_sigil_x/4","doc":"","ref":"ExXml.html#do_sigil_x/4"},{"type":"function","title":"ExXml.escape_ex_xml/1","doc":"","ref":"ExXml.html#escape_ex_xml/1"},{"type":"function","title":"ExXml.get_meta_content/2","doc":"","ref":"ExXml.html#get_meta_content/2"},{"type":"function","title":"ExXml.list_to_context/1","doc":"","ref":"ExXml.html#list_to_context/1"},{"type":"function","title":"ExXml.parse_ex_xml/1","doc":"","ref":"ExXml.html#parse_ex_xml/1"},{"type":"function","title":"ExXml.parse_xml/2","doc":"Parses the given `binary` as parse_xml.\n\nReturns `{:ok, [token], rest, context, position, byte_offset}` or\n`{:error, reason, rest, context, line, byte_offset}` where `position`\ndescribes the location of the parse_xml (start position) as `{line, offset_to_start_of_line}`.\n\nTo column where the error occurred can be inferred from `byte_offset - offset_to_start_of_line`.","ref":"ExXml.html#parse_xml/2"},{"type":"function","title":"Options - ExXml.parse_xml/2","doc":"* `:byte_offset` - the byte offset for the whole binary, defaults to 0\n  * `:line` - the line and the byte offset into that line, defaults to `{1, byte_offset}`\n  * `:context` - the initial context value. It will be converted to a map","ref":"ExXml.html#parse_xml/2-options"},{"type":"module","title":"ExXml.Element","doc":"","ref":"ExXml.Element.html"},{"type":"module","title":"ExXml.Fragment","doc":"","ref":"ExXml.Fragment.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}